#!/bin/sh

set -e
export XDG_CACHE_HOME="${AUTOPKGTEST_TMP}"
export XDG_DATA_HOME="${AUTOPKGTEST_TMP}"
export XDG_CONFIG_HOME="${AUTOPKGTEST_TMP}"
export TMPDIR="${AUTOPKGTEST_TMP}"


cp -r bin test ${AUTOPKGTEST_TMP}
cd ${AUTOPKGTEST_TMP}
for p in $(py3versions -s); do
     PYTHONPATH=. $p -m pytest  test/ -k 'not test_all_migrations[MatchListRegex-0] and not test_hook and not test_bar'
done
